Blogs Blogs

databases/gdbm 1.8.3 to 1.9.1 upgrade problems
Today, the gdbm version in FreeBSD's ports has been updated to 1.9.1. After the upgrade, you might notice that some programs (notably, Apache, subversion, git) fail with the following message: /libexec/ld-elf.so.1: Shared object "libgdbm.so.3" not found, required by "<programname>" The reason for this behaviour is that the version of libgdbm has been bumped from 3 to 4, ie,...
Read More About databases/gdbm 1.8.3 to 1.9.1 upgrade problems »
ImageMagick fails with "error: expected '#pragma omp' clause before 'omp_throttle'"
If you try to upgrade or install ImageMagick on FreeBSD with the IMAGEMAGICK_OPENMP option enabled, you might encounter the following error: magick/composite.c: In function 'TextureImage': magick/composite.c:2776: error: expected '#pragma omp' clause before 'omp_throttle' magick/composite.c:2824: error: expected '#pragma omp' clause before 'omp_throttle' gmake[1]: ***...
Read More About ImageMagick fails with "error: expected '#pragma omp' clause before 'omp_throttle'" »
Subclipse fails with org.eclipse.swt.SWTException: Invalid thread access
I encountered this problem while trying to checkout Liferay's source in Eclipse, using the Subclipse plugin. The manifestation was as follows: * anonymous access to the SVN required empty password; saving of the empty password didn't seem to work; * on pressing 'Finish' in the wizard, either Subclipse, or the whole Eclipse would give an error message, which presents itself in the log...
Read More About Subclipse fails with org.eclipse.swt.SWTException: Invalid thread access »
Tip of the day: bash-completion and SSH
shells/bash-completion is arguably the best friend of any lazy system administrator (as long as you're not hard-core FreeBSD fan enough to stick to tcsh ). Did you know that it was actually 'completing' also the ssh(1) and scp(1) commands? First of all, it is able to auto-complete the host name, as long as it is present in ~/.ssh/known_hosts. But, even more impressively, it also...
Read More About Tip of the day: bash-completion and SSH »
Default Python in FreeBSD changes from 2.6 to 2.7; problems with upgrade.
If you follow the notes in /usr/ports/UPDATING (and you would be wise to do), you must know that the default Python version in FreeBSD has been changed from 2.6.x to 2.7.x. The upgrade of Python itself is unproblematic; however, you might see errors while running ' cd /usr/ports/lang/python && make upgrade-site-packages ' of the type: /usr/local/bin/g-ir-scanner: not found ...
Read More About Default Python in FreeBSD changes from 2.6 to 2.7; problems with upgrade. »
Installing/upgrading LibreOffice on a headless system
While it might at first seem a bit strange why would you need an office suite like LibreOffice on a headless system, there's at least one good reason for it - the ability to convert between different formats. In fact, both OpenOffice.org and LibreOffice explicitly support headless mode. A headless system with FreeBSD will likely have WITHOUT_X11=yes defined in /etc/make.conf ...
Read More About Installing/upgrading LibreOffice on a headless system »
Tip of the day: Snapshots in ZFS, part I
You probably already know how useful filesystem snapshots can be. ZFS, in particular, has a very flexible and powerful implementation of this mechanism. Quoting the zfs(1M) man page:         A snapshot is a read-only copy of a file system  or  volume.  Snapshots         can  be  created...
Read More About Tip of the day: Snapshots in ZFS, part I »
Tip of the day: Checking whether your FreeBSD ports are up to date.
Up until recently, I recommended using portversion(1) from ports-mgmt/portupgrade the following way: portversion -Fv | grep -v up-to-date There is, however, a much simpler, and almost as effective way: portversion -vL =
Read More About Tip of the day: Checking whether your FreeBSD ports are up to date. »
[Heads Up] FreeBSD Perl port updated to 5.12.3
In case you haven't noticed, FreeBSD's lang/perl5.12 port has been updated to version 5.12.3, which requires to update everything that depends on it. Here's the relevant entry from UPDATING: 20110125: AFFECTS: users of lang/perl5.12 AUTHOR: skv .at. FreeBSD .dot. org lang/perl5.12 has been updated to 5.12.3. You should update everything that depends on perl. The easiest way to do...
Read More About [Heads Up] FreeBSD Perl port updated to 5.12.3 »
Showing 9 results.